org.jboss.jca.core.api.connectionmanager.pool

## Interface PoolStatistics

- All Superinterfaces:
    java.io.Serializable, StatisticsPlugin

      public interface PoolStatistics
      extends StatisticsPlugin

  The pool statistics
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActiveCount()` Get active count
    `int` | `getAvailableCount()` Get the available count
    `long` | `getAverageBlockingTime()` Get the average time spent waiting on a connection (milliseconds)
    `long` | `getAverageCreationTime()` Get the average time spent creating a connection (milliseconds)
    `long` | `getAverageGetTime()` Get the average time spent obtaining a connection (milliseconds)
    `long` | `getAveragePoolTime()` Get the average time for a connection in the pool (milliseconds)
    `long` | `getAverageUsageTime()` Get the average time spent using a connection (milliseconds)
    `int` | `getBlockingFailureCount()` Get the blocking failure count
    `int` | `getCreatedCount()` Get created count
    `int` | `getDestroyedCount()` Get destroyed count
    `int` | `getIdleCount()` Get idle count
    `int` | `getInUseCount()` Get in use count
    `long` | `getMaxCreationTime()` Get max creation time (milliseconds)
    `long` | `getMaxGetTime()` Get max get time (milliseconds)
    `long` | `getMaxPoolTime()` Get max pool time (milliseconds)
    `long` | `getMaxUsageTime()` Get max usage time (milliseconds)
    `int` | `getMaxUsedCount()` Get max used count
    `int` | `getMaxWaitCount()` Get max wait count
    `long` | `getMaxWaitTime()` Get max wait time (milliseconds)
    `int` | `getTimedOut()` Get timed out
    `long` | `getTotalBlockingTime()` Get the total time spent waiting on connections (milliseconds)
    `long` | `getTotalCreationTime()` Get the total time spent creating connections (milliseconds)
    `long` | `getTotalGetTime()` Get the total time spent obtaining connections (milliseconds)
    `long` | `getTotalPoolTime()` Get the total time for connections in the pool (milliseconds)
    `long` | `getTotalUsageTime()` Get the total time spent using connections (milliseconds)
    `int` | `getWaitCount()` Get wait count

    - ### Methods inherited from interface org.jboss.jca.core.spi.statistics.StatisticsPlugin

      `clear, getDescription, getDescription, getNames, getType, getValue, isEnabled, setEnabled`

- - ### Method Detail

    - #### getActiveCount

          int getActiveCount()

      Get active count
      Returns:
        The value

    - #### getAvailableCount

          int getAvailableCount()

      Get the available count
      Returns:
        The value

    - #### getAverageBlockingTime

          long getAverageBlockingTime()

      Get the average time spent waiting on a connection (milliseconds)
      Returns:
        The value

    - #### getAverageCreationTime

          long getAverageCreationTime()

      Get the average time spent creating a connection (milliseconds)
      Returns:
        The value

    - #### getAverageGetTime

          long getAverageGetTime()

      Get the average time spent obtaining a connection (milliseconds)
      Returns:
        The value

    - #### getAveragePoolTime

          long getAveragePoolTime()

      Get the average time for a connection in the pool (milliseconds)
      Returns:
        The value

    - #### getAverageUsageTime

          long getAverageUsageTime()

      Get the average time spent using a connection (milliseconds)
      Returns:
        The value

    - #### getBlockingFailureCount

          int getBlockingFailureCount()

      Get the blocking failure count
      Returns:
        The value

    - #### getCreatedCount

          int getCreatedCount()

      Get created count
      Returns:
        The value

    - #### getDestroyedCount

          int getDestroyedCount()

      Get destroyed count
      Returns:
        The value

    - #### getIdleCount

          int getIdleCount()

      Get idle count
      Returns:
        The value

    - #### getInUseCount

          int getInUseCount()

      Get in use count
      Returns:
        The value

    - #### getMaxCreationTime

          long getMaxCreationTime()

      Get max creation time (milliseconds)
      Returns:
        The value

    - #### getMaxGetTime

          long getMaxGetTime()

      Get max get time (milliseconds)
      Returns:
        The value

    - #### getMaxPoolTime

          long getMaxPoolTime()

      Get max pool time (milliseconds)
      Returns:
        The value

    - #### getMaxUsageTime

          long getMaxUsageTime()

      Get max usage time (milliseconds)
      Returns:
        The value

    - #### getMaxUsedCount

          int getMaxUsedCount()

      Get max used count
      Returns:
        The value

    - #### getMaxWaitCount

          int getMaxWaitCount()

      Get max wait count
      Returns:
        The value

    - #### getMaxWaitTime

          long getMaxWaitTime()

      Get max wait time (milliseconds)
      Returns:
        The value

    - #### getTimedOut

          int getTimedOut()

      Get timed out
      Returns:
        The value

    - #### getTotalBlockingTime

          long getTotalBlockingTime()

      Get the total time spent waiting on connections (milliseconds)
      Returns:
        The value

    - #### getTotalCreationTime

          long getTotalCreationTime()

      Get the total time spent creating connections (milliseconds)
      Returns:
        The value

    - #### getTotalGetTime

          long getTotalGetTime()

      Get the total time spent obtaining connections (milliseconds)
      Returns:
        The value

    - #### getTotalPoolTime

          long getTotalPoolTime()

      Get the total time for connections in the pool (milliseconds)
      Returns:
        The value

    - #### getTotalUsageTime

          long getTotalUsageTime()

      Get the total time spent using connections (milliseconds)
      Returns:
        The value

    - #### getWaitCount

          int getWaitCount()

      Get wait count
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)